import { HttpClient } from '@angular/common/http';
import { ApiVisa, BaseApiTemplateService } from '../../shared';
import { PurchaseCreditNoteFileImportContainerModel } from '../../../../../../models/aggregates/erp/purchase-credit-note-file-import/index';
export declare class PurchaseCreditNoteFileImportService extends BaseApiTemplateService<PurchaseCreditNoteFileImportContainerModel> {
    constructor(http: HttpClient);
    sampleTemplateCSV(authorization: string, apiVisa: ApiVisa): Promise<Blob>;
    samplePipeCSV(authorization: string, apiVisa: ApiVisa): Promise<Blob>;
}
